<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Permission;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;

class PermissionSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        Permission::create(['name' => 'cadastrar_crianca']);
        Permission::create(['name' => 'novo_funcionario']);
        Permission::create([ 'name' => 'relatorio']);
        Permission::create([ 'name' => 'editar_funcionario']);
        Permission::create([ 'name' => 'listar_funcionario']);
        Permission::create([ 'name' => 'eliminar_funcionario']);
        Permission::create([ 'name' => 'ver_detalhes_funcionario']);
        Permission::create([ 'name' => 'editar_dados_crianca']);
        Permission::create([ 'name' => 'listar_crianca']);
        Permission::create([ 'name' => 'eliminar_crianca']);
        Permission::create([ 'name' => 'ver_detalhes_crianca']);
        Permission::create([ 'name' => 'resistar_sala']);
        Permission::create([ 'name' => 'editar_sala']);
        Permission::create([ 'name' => 'eliminar_sala']);
        Permission::create([ 'name' => 'listar_sala']);
        Permission::create([ 'name' => 'criar_turma']);
        Permission::create([ 'name' => 'listar_turma']);
        Permission::create([ 'name' => 'editar_turma']);
        Permission::create([ 'name' => 'eliminar_turma']);
        Permission::create([ 'name' => 'associar_turma_a_sala']);
        Permission::create([ 'name' => 'assciar_crianca_a_turma']);
        Permission::create([ 'name' => 'desassciar_crianca_a_turma']);
        Permission::create([ 'name' => 'trasnferir_crianca_a_turma']);
        Permission::create([ 'name' => 'registar_transporte']);
        Permission::create([ 'name' => 'listar_transporte']);
        Permission::create([ 'name' => 'editar_transporte']);
        Permission::create([ 'name' => 'eliminar_transporte']);
        Permission::create([ 'name' => 'registar_rota']);
        Permission::create([ 'name' => 'listar_rota']);
        Permission::create([ 'name' => 'eliminar_rota']);
        Permission::create([ 'name' => 'editar_rota']);
        Permission::create([ 'name' => 'associar_motorista_a_rota']);
        Permission::create([ 'name' => 'desassociar_motorista_a_rota']);
        Permission::create([ 'name' => 'associar_crianca_a_rota']);
        Permission::create([ 'name' => 'desassociar_crianca_a_rota']);
        Permission::create([ 'name' => 'registar_pagamento']);
        Permission::create([ 'name' => 'detalhes_pagamento']);
        Permission::create([ 'name' => 'listar_pagamentos']);
        Permission::create([ 'name' => 'editar_pagamento']);
        Permission::create([ 'name' => 'registar_pagamento_multa']);
        Permission::create([ 'name' => 'editar_pagamento_multa']);
        Permission::create([ 'name' => 'registar_actividade']);
        Permission::create([ 'name' => 'detalhes_actividade']);
        Permission::create([ 'name' => 'listar_actividade']);
        Permission::create([ 'name' => 'editar_actividade']);
        Permission::create([ 'name' => 'eliminar_actividade']);
        Permission::create([ 'name' => 'inserir_turma_na_actividade']);
        Permission::create([ 'name' => 'gerir_director']);
        Permission::create([ 'name' => 'listar_director']);










    }
}
